=== debian/changelog ===
libxmlpatch (0.3.3) unstable; urgency=low

  * some static analysis fixes

 -- Jari Urpalainen <jari.urpalainen@nokia.com>  Wed,  3 Mar 2010 15:28:00 +0200

libxmlpatch (0.3.2) unstable; urgency=low

  * namespace handling bug in patch-library
  * bug in diff generation library (Arshdeep Singh)

 -- Jari Urpalainen <jari.urpalainen@nokia.com>  Wed, 13 Jan 2010 10:52:00 +0200

libxmlpatch (0.3.1-1) unstable; urgency=low

  * First debian release.

 -- Jari Urpalainen <jari.urpalainen@nokia.com>  Fri, 19 Oct 2007 16:42:14 +0300
