=== debian/control ===
Source: libxmlpatch
Priority: optional
Maintainer: Jari Urpalainen <jari.urpalainen@nokia.com
Build-Depends: debhelper (>= 5.0.0), cdbs (>= 0.4.37), dpkg-dev (>= 1.13.19), pkg-config,
	       libtool, libxml2-dev, libglib2.0-dev, check (>= 0.9.4)
Standards-Version: 3.8.2

Package: libxmlpatch
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an XML patching handler library

Package: libxmlpatch-dev
Section: devel
Architecture: any
Depends: libxmlpatch (= ${Source-Version})
Description: This package contains devel info

Package: libxmlpatch-diff
Section: libs
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, libxmlpatch
Description: diff for xmlpatch

Package: libxmlpatch-diff-dev
Section: libs
Architecture: any
Depends: libxmlpatch-diff (= ${Source-Version})
Description: diff for xmlpatch
